how to install gcc?

为当前最终发行版之前的所有版本提供支持
回复
fu984213
帖子: 2
注册时间: 2007-08-12 14:03
送出感谢: 0
接收感谢: 0

how to install gcc?

#1

帖子 fu984213 » 2007-08-12 15:58

ffuu@ffuu-home:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 build-essential

???

how to install gcc?
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 nihui » 2007-08-12 15:59

先执行 sudo apt-get update :wink:
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
fu984213
帖子: 2
注册时间: 2007-08-12 14:03
送出感谢: 0
接收感谢: 0

#3

帖子 fu984213 » 2007-08-12 16:43

:lol:
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

Re: how to install gcc?

#4

帖子 stlxv » 2007-08-12 19:14

fu984213 写了:ffuu@ffuu-home:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 build-essential

???

how to install gcc?
新立得软件包管理器->选中gcc,点“应用”
PHP是最好的语言!不服来战!
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

Re: how to install gcc?

#5

帖子 wkt » 2007-08-12 20:10

stlxv 写了:
fu984213 写了:ffuu@ffuu-home:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 build-essential

???

how to install gcc?
新立得软件包管理器->选中gcc,点“应用”

这个是源没有设好问题吧!
新立得可以自动把源弄好吗?
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

Re: how to install gcc?

#6

帖子 stlxv » 2007-08-12 21:25

wkt 写了:
stlxv 写了:
fu984213 写了:ffuu@ffuu-home:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 build-essential

???

how to install gcc?
新立得软件包管理器->选中gcc,点“应用”

这个是源没有设好问题吧!
新立得可以自动把源弄好吗?

他的问题是无法找到build-essential 这个软件包,而这个软件包是个元软件包,包含了gcc在内的一系列软件而不仅仅是gcc。而真正提供gcc这款软件的是gcc这个软件包。所以,要安装gcc的话就要找gcc这个软件包而不是别的。当gcc安装不了的情况下,再进一步考虑其他情况也不迟。
PHP是最好的语言!不服来战!
fenglifang
帖子: 7
注册时间: 2007-07-25 9:10
送出感谢: 0
接收感谢: 0

#7

帖子 fenglifang » 2007-08-13 10:23

多sudo apt-get update几次
或者注销后在sudo apt-get update
然后sudo apt-get install gcc g++
其他请参照http://forum.ubuntu.org.cn/viewtopic.php?t=40971
回复

回到 “老旧版本支持”